#
# spec file for package perl-Class-Accessor-Grouped
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Class-Accessor-Grouped
Version:        0.10014
Release:        1.17
%define cpan_name Class-Accessor-Grouped
Summary:        Lets you build groups of accessors
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::XSAccessor) >= 1.19
BuildRequires:  perl(Module::Runtime) >= 0.012
BuildRequires:  perl(Sub::Name) >= 0.05
BuildRequires:  perl(Test::Exception) >= 0.310000
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(Class::XSAccessor) >= 1.19
Requires:       perl(Module::Runtime) >= 0.012
Requires:       perl(Sub::Name) >= 0.05
Recommends:     perl(Class::XSAccessor) >= 1.19
Recommends:     perl(Sub::Name) >= 0.05
%{perl_requires}

%description
This class lets you build groups of accessors that will call different
getters and setters. The documentation of this module still requires a lot
of work (*volunteers welcome >.>*), but in the meantime you can refer to at
http://lo-f.at/glahn/2009/08/WritingPowerfulAccessorsForPerlClasses.html
for more information.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Aug 20 2019 Tina Mueller <tina.mueller@suse.com>
- Remove perl526.patch
  Not needed anymore because Makefile.PL was fixed upstream
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.10014
  see /usr/share/doc/packages/perl-Class-Accessor-Grouped/Changes
  0.10014 2018-07-01 19:25 (UTC)
  - releasing 0.10013_01 as stable
  0.10013_01 2018-05-28 13:37 (UTC)
  - convert packaging from Module::Install to plain ExtUtils::MakeMaker
  - fix running Makefile.PL when @INC does not contain '.' (perl 5.26).
  - don't run author tests at all for user installs
* Tue Oct  3 2017 coolo@suse.com
- drop support for sle11 (perl-Class-Accessor-Grouped-use_lib.patch)
- fix build with perl 5.26 (perl526.patch)
* Wed Nov 12 2014 coolo@suse.com
- updated to 0.10012
  - Fix tests tickling deficient threads on perl 5.10.0
  - Soft-depend on newer (bugfixed and *simpler*) Class::XSAccessor 1.19
  - More robust threading tests
* Mon Jun  3 2013 coolo@suse.com
- updated to 0.10010
  - Fix bug with identically-named 'simple' accessors in different
    classes set to access *differently named fields* getting their
    field access mixed up
  - Fix subtle pessimization when having identically-named accessors
    in different classes leads to 'simple' implementations not being
    replaced by Class::XSAccessor where appropriate
  - Stop leaking extra methods into the inheritance chain - there
    are plenty already
  - Allow disabling of accessor name checking introduced in 0.10007
  - Pass tests if Class::XSAccessor is available but Sub::Name isn't
  - Disable tests on perls where Class::XSAccessor emits broken
    error messages (RT#74883, RT#80519)
  - Drop minimum perl to 5.6 (from 5.6.2)
  - Switch all module loading to Module::Runtime and lose
    dependency on Class::Inspector
  - Fix stupid mistake causing double-require of Sub::Name when
    Class::XSAccessor is not available (RT#80657)
  - Simplify superclass traversal done by the 'inherited' group type
  - Fix incorrect quoting of unusual hash keys (fieldnames)
  - Depend on newer bugfixed Class::XSAccessor 1.15
  - Improve text of ro/wo violation exceptions
  - Sanity-check accessor names for well-formedness
    (qr/[A-Z_a-z][0-9A-Z_a-z]*/)
* Mon Feb 27 2012 coolo@suse.com
- updated to 0.10006
  - Silence warnings resulting from incomplete can() overrides
    hiding get/set_simple methods
  - Depend on newer bugfixed Class::XSAccessor
  - Repack with correct metadata (RT#73100)
  - No longer leak internal __CAG* methods into the inheritable
    namespace
* Sun Jun  5 2011 lars@linux-schulserver.de
- fix build on distributions with older Test::More module
  ( perl-Class-Accessor-Grouped-use_lib.patch )
* Tue May 31 2011 coolo@novell.com
- updated to 0.10003
  - Only require MRO::Compat for older perls
  - Add SYNOPSIS
  - Add examples for methods that get used most often
* Mon Jan 17 2011 coolo@novell.com
- update to 0.10002
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Dec 11 2009 chris@computersalat.de
- update to 0.09002
  - removing Class::XSAccessor usage for now
  * 0.09001 Thu Oct  1 21:48:06 2009
  - remove optional dep from Makefile.PL
  * 0.09000 Sun Aug 23 20:08:09 2009
  - release
  * 0.08999_01 Tue July 7 22:06:21 2009
  - Make _mk_group_accessors name the closures installed for Moose compat
  - Use Class::XSAccessor if available RT#45577 (Andy Grundman)
  * 0.08003 Sat Mar 21 9:27:24 2009
  - Fixed set_inherited under C3::Componentised: RT#43702, RIBASUSHI
  * 0.08002 Mon Nov 17 20:27:22 2008
  - Removed unnecessary code in get_simple: RT#40992, BUCHMULLER Norbert
- cleanup spec
  * added header
  * fixed deps
  * moved changelog to .changes
- added perl-macros
  * perl_gen_filelist
* Sun Oct 26 2008 gerrit.beine@gmx.de
- first release 0.08001
